	PROGRAM FORMAT
	
	REAL(8),DIMENSION (5001)	:: F,W,T,A
	REAL(8),DIMENSION (2001)	:: ERR,errt
	INTEGER				:: I,J,l,k,NT=51,NW=401
	REAL(8)				:: BETA,DT,DW,PLAGE
	CHARACTER			:: BUFFER
	
	BETA=5.D0
	PLAGE=20.D0

	
	OPEN(FILE='moy.svd4445ps.dat',UNIT=21)
	OPEN(FILE='inv',UNIT=22)

	DO I=1,9
	   READ(21,*) BUFFER
	END DO
	DO I=1,Nw
	   READ(21,*) W(I),A(I)	   
	END DO
	
	A=A+1
	
	DO I=1,Nw
	   write(*,*) W(I),A(I)	   
	END DO
	
	DW=PLAGE/(NW-1)
	DT=BETA/(NT-1)
	
	do i=1,nt
	   t(i)=(i-1)*dt
	end do
	
	F=0.D0
	DO I=1,Nt
	   DO L=1,nw
	      F(I)=F(I)+dexp(-w(l)*t(i))*A(L)/(1.D0+dexp(-beta*W(L)))
	   END DO
	   F(I)=F(I)*dw
	END DO
	
	DO I=1,NT
	   WRITE(22,*) I-1,' ',F(I)
	END DO
	
	END 
